binfmt-support instalation error

Bug #38270 reported by Kenny Duffus
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
binfmt-support (Ubuntu)
Confirmed
Medium
Unassigned

Bug Description

Setting up binfmt-support (1.2.7) ...
update-binfmts: warning: /usr/share/binfmts/cli: no executable /usr/bin/cli
found, but continuing anyway as you request
 * Enabling additional executable binary formats binfmt-support [ ok ]

Revision history for this message
Colin Watson (cjwatson) wrote :

What mono-related packages do you have installed? Did you have any installed at some point and then remove them?

Revision history for this message
Kenny Duffus (kduffus) wrote :

I was installing kerry when this occurred:

root@oktan:/tmp# apt-get install kerry
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
  beagle binfmt-support libgconf2.0-cil libglade2.0-cil libglib2.0-cil
  libgmime2.1 libgmime2.1-cil libgnome2.0-cil libgtk2.0-cil libmono0
  mono-classlib-1.0 mono-common mono-jit
Suggested packages:
  gaim-xmms-remote
Recommended packages:
  beagle-backend-evolution gnumeric
The following NEW packages will be installed
  beagle binfmt-support kerry libgconf2.0-cil libglade2.0-cil libglib2.0-cil
  libgmime2.1 libgmime2.1-cil libgnome2.0-cil libgtk2.0-cil libmono0
  mono-classlib-1.0 mono-common mono-jit
0 upgraded, 14 newly installed, 0 to remove and 1 not upgraded.
Need to get 8368kB of archives.
After unpacking 24.8MB of additional disk space will be used.
Do you want to continue [Y/n]?

current mono package status:

kd@oktan:~$ dpkg -l "*mono*"
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii libggi-target- 2.0.5-1.1ubunt General Graphics Interface plain text target
un libmono-1.1.13 <none> (no description available)
un libmono-dev <none> (no description available)
ii libmono0 1.1.13.6-0ubun libraries for the Mono JIT
un mono-assemblie <none> (no description available)
ii mono-classlib- 1.1.13.6-0ubun Mono class library (1.0)
un mono-classlib- <none> (no description available)
un mono-classlib- <none> (no description available)
ii mono-common 1.1.13.6-0ubun common files for Mono
ii mono-jit 1.1.13.6-0ubun fast CLI JIT/AOT compiler for Mono
un monopd <none> (no description available)

I'm afraid I don't really know much about mono, is there a specific package you want me to check the status of?

Revision history for this message
Barry deFreese (bddebian) wrote :

I am unable to reproduce this error.

Changed in binfmt-support:
status: Unconfirmed → Needs Info
Revision history for this message
Colin Watson (cjwatson) wrote :

I'm going to mark this confirmed for the time being. It seems plausible that it could be a broken prerm/postrm somewhere.

Changed in binfmt-support:
status: Needs Info → Confirmed
Revision history for this message
Waylan Limberg (waylan) wrote :

I just ran into this on a new system. I did a fresh, new install yesterday and began installing packages today. Upon installing the first package that uses mono I got the above error. After some playing around I determined that the base package 'mono-common' requires the ' binfmt-support' package. However when I run:

    ~$ sudo dpkg --configure -a
    Setting up binfmt-support (1.2.10) ...
    update-binfmts: warning: /usr/share/binfmts/cli: no executable /usr/bin/cli
    found, but continuing anyway as you request

It just hangs here. Checking the contents of '/usr/share/binfmts/cli':

    ~$ cat /usr/share/binfmts/cli
    package mono-common
    detector /usr/lib/cli/binfmt-detector-cli
    interpreter /usr/bin/cli
    magic MZ

The second to last line is the culprit. Its pointing to '/usr/bin/cli' which does not exist:

    ~$ /usr/bin/cli
    bash: /usr/bin/cli: No such file or directory

As I said, this is a new system. I haven't removed or deleted anything yet.

Revision history for this message
Waylan Limberg (waylan) wrote :

After some more playing with this, I removed the 'binfmt-support' package and everything seems to work fine from there.

    ~$ sudo dpkg -P binfmt-support
    (Reading database ... 100402 files and directories currently installed.)
    Removing binfmt-support ...
     * Disabling additional executable binary formats binfmt-support [ OK ]
    Purging configuration files for binfmt-support ...
    ~$ sudo dpkg --configure -a

Revision history for this message
Symax (ayourk) wrote :

I just recently did an apt-get install of libgnome-vfs2.0-cil and libntfs-gnomevfs and received this error near completion of these packages. I do have 'wine' installed as well.
My version of binfmt-support is 1.2.11.

Revision history for this message
Symax (ayourk) wrote :

Also, this appears to happen most when installing mono-common_1.9.1+dfsg-4ubuntu2_i386.deb:

Recommended packages:
  binfmt-support
The following NEW packages will be installed:
  mono-common
0 upgraded, 1 newly installed, 0 to remove and 13 not upgraded.
Need to get 0B/118kB of archives.
After this operation, 758kB of additional disk space will be used.
Selecting previously deselected package mono-common.
(Reading database ... 234411 files and directories currently installed.)
Unpacking mono-common (from .../mono-common_1.9.1+dfsg-4ubuntu2_i386.deb) ...
Processing triggers for man-db ...
Setting up mono-common (1.9.1+dfsg-4ubuntu2) ...
update-binfmts: warning: /usr/share/binfmts/cli: no executable /usr/bin/cli
found, but continuing anyway as you request

I'm using Ubuntu 8.10.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers